Bug 1010432 - python-carbon-0.9.12 should require python-whisper >= 0.9.12
python-carbon-0.9.12 should require python-whisper >= 0.9.12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-carbon (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 14:57 EDT by James Juran
Modified: 2013-10-18 16:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-carbon-0.9.12-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 02:53:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Juran 2013-09-20 14:57:35 EDT
Description of problem:

python-carbon-0.9.12 fails in the default configuration with python-whisper-0.9.10. See https://github.com/graphite-project/graphite-web/issues/426 .

Version-Release number of selected component (if applicable):

python-carbon-0.9.12-1

How reproducible:

Upgrade only python-carbon to 0.9.12, try to run it.

Additional info:

Fix:

diff --git a/python-carbon.spec b/python-carbon.spec
index 69dfbec..903fcaa 100644
--- a/python-carbon.spec
+++ b/python-carbon.spec
@@ -19,7 +19,7 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
 BuildRequires:  python-devel, python-setuptools
-Requires:       python-whisper, python-twisted-core >= 8.0
+Requires:       python-whisper >= 0.9.12, python-twisted-core >= 8.0
 Requires(post): chkconfig
 Requires(pre):  shadow-utils
 Requires(preun): chkconfig, initscripts
Comment 1 Fedora Update System 2013-09-24 12:48:11 EDT
python-carbon-0.9.12-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-carbon-0.9.12-2.fc20
Comment 2 Fedora Update System 2013-09-24 12:48:27 EDT
python-carbon-0.9.12-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-carbon-0.9.12-2.el5
Comment 3 Fedora Update System 2013-09-24 12:48:43 EDT
python-carbon-0.9.12-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-carbon-0.9.12-2.fc19
Comment 4 Fedora Update System 2013-09-24 12:49:06 EDT
python-carbon-0.9.12-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-carbon-0.9.12-2.fc18
Comment 5 Fedora Update System 2013-09-24 12:49:20 EDT
python-carbon-0.9.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-carbon-0.9.12-2.el6
Comment 6 Fedora Update System 2013-09-25 13:18:23 EDT
Package python-carbon-0.9.12-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-carbon-0.9.12-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11685/python-carbon-0.9.12-2.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-02 02:53:31 EDT
python-carbon-0.9.12-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-17 14:02:35 EDT
python-carbon-0.9.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-17 14:06:56 EDT
python-carbon-0.9.12-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-18 15:57:15 EDT
python-carbon-0.9.12-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-18 16:01:00 EDT
python-carbon-0.9.12-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.